%bcond_with qt5webkit
%bcond_with sqlite2
%ifarch %{ix86} %{arm32}
%bcond_with qt6webview
%else
%bcond_without qt6webview
%endif

Name:		gambas3
Summary:	Complete IDE based on a BASIC interpreter with object extensions
Version:	3.20.4
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Basic
URL:		https://gambas.sourceforge.net/
Source0:        https://gitlab.com/gambas/gambas/-/archive/%{version}/gambas-%{version}.tar.bz2
Patch0:		gambas3-3.20.2-poppler-25.07.0.patch
ExcludeArch:	%{arm32}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	xdg-utils
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig(odbc)
#BuildRequires:	pkgconfig(alure)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(gmime-3.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libmongoc-1.0)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libpq)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libv4l1)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-cpp)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	SDL_sound-devel
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
%if %{with sqlite2}
BuildRequires:	pkgconfig(sqlite)
%endif
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(xtst)
### Qt5 ###
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
%if %{with qt5webkit}
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
%endif
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5X11Extras)
### Qt6 ###
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6WaylandClient)
%if %{with qt6webview}
BuildRequires:	cmake(Qt6WebEngineCore)
BuildRequires:	cmake(Qt6WebEngineWidgets)
%endif

%description
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, translate your program into many languages,
create network applications easily, build RPMs of your apps
automatically, and so on...

#-----------------------------------------------------------------------------

%package runtime
Summary: The Gambas runtime
Group: Development/Basic
Requires: %{name}-gb-pcre = %{version}

%if %{without qt5webkit}
Obsoletes: gambas3-gb-qt5-webkit < %{version}-%{release}
%endif

%description runtime
This package includes the Gambas interpreter needed to run Gambas applications.

%files runtime
%doc README AUTHORS ChangeLog
%{_bindir}/gbx3
%{_bindir}/gbr3
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gb.component
%{_libdir}/%{name}/gb.debug.*
%{_libdir}/%{name}/gb.eval.*
%{_libdir}/%{name}/gb.geom.*
%{_libdir}/%{name}/gb.draw.*
%{_libdir}/%{name}/gb.gui.*
%{_libdir}/%{name}/gb.test.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/info
%{_datadir}/%{name}/info/gb.info
%{_datadir}/%{name}/info/gb.list
%{_datadir}/%{name}/info/gb.debug.*
%{_datadir}/%{name}/info/gb.eval.*
%{_datadir}/%{name}/info/gb.geom.*
%{_datadir}/%{name}/info/gb.gui.*
%{_datadir}/%{name}/info/gb.test.*
%{_datadir}/%{name}/template/
%dir %{_datadir}/%{name}/control
%{_mandir}/man1/gbx3.1*
%{_mandir}/man1/gbr3.1*
# mime
%{_datadir}/mime/packages/gambas3.xml
%{_iconsdir}/hicolor/*/mimetypes/application-x-gambas3.png

#-----------------------------------------------------------------------------

%package devel
Summary: The Gambas development package
Group: Development/Basic

%description devel
This package includes all tools needed to compile Gambas projects
without having to install the complete development environment.

%files devel
%{_bindir}/gbc3
%{_bindir}/gba3
%{_bindir}/gbi3
%{_bindir}/gbh3
%{_bindir}/gbh3.gambas
%{_mandir}/man1/gbc3.1*
%{_mandir}/man1/gba3.1*
%{_mandir}/man1/gbi3.1*
%{_mandir}/man1/gbh3.1*

#-----------------------------------------------------------------------------

%package script
Summary: The Gambas scripter package
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-devel = %{version}
Requires: %{name}-gb-pcre = %{version}

%description script
This package includes the scripter program that allows to write script files
in Gambas.

%files script
%{_bindir}/gbs3
%ifnarch %{arm32}
%{_bindir}/gbs3.gambas
%endif
%{_bindir}/gbw3
%{_mandir}/man1/gbs3.1*
%{_mandir}/man1/gbw3.1*
# mime
%{_datadir}/mime/packages/gambasscript.xml
%{_iconsdir}/hicolor/*/mimetypes/application-x-gambasscript.png

#-----------------------------------------------------------------------------

%package ide
Summary: The Gambas IDE
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-devel = %{version}
Requires: %{name}-webview = %{version}

Requires: %{name}-gb-clipper = %{version}
Requires: %{name}-gb-clipper2 = %{version}
Requires: %{name}-gb-db = %{version}
Requires: %{name}-gb-db-form = %{version}
Requires: %{name}-gb-db2 = %{version}
Requires: %{name}-gb-db2-form = %{version}
Requires: %{name}-gb-desktop = %{version}
%ifnarch %arm
Requires: %{name}-gb-eval-highlight = %{version}
%endif
Requires: %{name}-gb-form = %{version}
Requires: %{name}-gb-form-dialog = %{version}
Requires: %{name}-gb-form-editor = %{version}
Requires: %{name}-gb-form-htmlview = %{version}
Requires: %{name}-gb-form-mdi = %{version}
Requires: %{name}-gb-form-print = %{version}
Requires: %{name}-gb-form-stock = %{version}
Requires: %{name}-gb-form-terminal = %{version}
Requires: %{name}-gb-hash = %{version}
Requires: %{name}-gb-highlight = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-jit = %{version}
Requires: %{name}-gb-markdown = %{version}
Requires: %{name}-gb-net = %{version}
Requires: %{name}-gb-net-curl = %{version}
Requires: %{name}-gb-settings = %{version}
Requires: %{name}-gb-signal = %{version}
Requires: %{name}-gb-term = %{version}
Requires: %{name}-gb-util = %{version}
Requires: %{name}-gb-util-web = %{version}
Requires: gettext
Requires: rpm-build
Requires: wget
Requires: pngquant
Requires: git-core
Requires: translate-shell

Recommends: %{name}-examples = %{version}

%description ide
This package together with dependencies form the complete Gambas Development
Environment. Other gambas3-* packages may be needed to run programs
(including the examples), in which case there will be messages about that.

%files ide
%{_bindir}/%{name}
%{_bindir}/%{name}.gambas
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.{png,svg}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*

#-----------------------------------------------------------------------------

%package examples
Summary: The Gambas examples
Group: Development/Basic
BuildArch: noarch
Recommends: %{name}-ide >= %{version}

%description examples
This package includes all the example projects provided with Gambas.

%files examples
%{_datadir}/%{name}/examples/

#-----------------------------------------------------------------------------

%package gb-cairo
Summary: The Gambas Cairo component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-cairo
This package contains the Gambas Cairo components.

%files gb-cairo
%{_libdir}/%{name}/gb.cairo.*
%{_datadir}/%{name}/info/gb.cairo.*

#-----------------------------------------------------------------------------

%package gb-chart
Summary: The Gambas chart component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-chart
This package contains the Gambas Chart components.

%files gb-chart
%{_libdir}/%{name}/gb.chart.*
%{_datadir}/%{name}/info/gb.chart.*

#-----------------------------------------------------------------------------

%package gb-clipper
Summary: The Gambas clipper component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-clipper
This package contains the Gambas Clipper components.
It wraps the Clipper library that performs polygon clipping:
 - intersection
 - union
 - difference & exclusive-or
 - polygon and polyline offsetting.
The library is based on Vatti's clipping algorithm.

%files gb-clipper
%{_libdir}/%{name}/gb.clipper.*
%{_datadir}/%{name}/info/gb.clipper.*

#-----------------------------------------------------------------------------

%package gb-clipper2
Summary: The Gambas clipper2 polygon component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-clipper2
This package contains the Gambas Clipper2 polygon components.
It wraps the Clipper library that performs polygon clipping:
 - intersection
 - union
 - difference & exclusive-or
 - polygon and polyline offsetting.
The library is based on Vatti's clipping algorithm.

%files gb-clipper2
%{_libdir}/%{name}/gb.clipper2.*
%{_datadir}/%{name}/info/gb.clipper2.*

#-----------------------------------------------------------------------------

%package gb-compress
Summary: The Gambas compression component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-compress
This component allows you to compress/uncompress data or files with
the bzip2 and zip algorithms.

%files gb-compress
%{_libdir}/%{name}/gb.compress.*
%{_datadir}/%{name}/info/gb.compress.*

#-----------------------------------------------------------------------------

%package gb-crypt
Summary: The Gambas cryptography component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-crypt
This component allows you to use cryptography in your projects.

%files gb-crypt
%{_libdir}/%{name}/gb.crypt.*
%{_datadir}/%{name}/info/gb.crypt.*

#-----------------------------------------------------------------------------

%package gb-db
Summary: The Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-db
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%files gb-db
%{_libdir}/%{name}/gb.db.so
%{_libdir}/%{name}/gb.db.component
%{_libdir}/%{name}/gb.db.gambas
%{_datadir}/%{name}/info/gb.db.info
%{_datadir}/%{name}/info/gb.db.list

#-----------------------------------------------------------------------------

%package gb-db-form
Summary: The Gambas database-form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-db-form
This package contains the Gambas Database form components.

%files gb-db-form
%{_libdir}/%{name}/gb.db.form.*
%{_datadir}/%{name}/info/gb.db.form.*
%{_datadir}/%{name}/control/gb.db.form

#-----------------------------------------------------------------------------

%package gb-db-mysql
Summary: The MySQL driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-mysql
This component allows you to access MySQL databases.

%files gb-db-mysql
%{_libdir}/%{name}/gb.db.mysql.*
%{_datadir}/%{name}/info/gb.db.mysql.*

#-----------------------------------------------------------------------------

%package gb-db-odbc
Summary: The ODBC driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-odbc
This component allows you to access ODBC databases.

%files gb-db-odbc
%{_libdir}/%{name}/gb.db.odbc.*
%{_datadir}/%{name}/info/gb.db.odbc.*

#-----------------------------------------------------------------------------

%package gb-db-postgresql
Summary: The PostgreSQL driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-postgresql
This component allows you to access PostgreSQL databases.

%files gb-db-postgresql
%{_libdir}/%{name}/gb.db.postgresql.*
%{_datadir}/%{name}/info/gb.db.postgresql.*

#-----------------------------------------------------------------------------

%if %{with sqlite2}
%package gb-db-sqlite2
Summary: The SQLite 2 driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-sqlite2
This component allows you to access SQLite 2 databases.

%files gb-db-sqlite2

%{_libdir}/%{name}/gb.db.sqlite2.*
%{_datadir}/%{name}/info/gb.db.sqlite2.*
%endif

#-----------------------------------------------------------------------------

%package gb-db-sqlite3
Summary: The SQLite 3 driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-sqlite3
This component allows you to access SQLite 3 databases.

%files gb-db-sqlite3

%{_libdir}/%{name}/gb.db.sqlite3.*
%{_datadir}/%{name}/info/gb.db.sqlite3.*

#-----------------------------------------------------------------------------

%package gb-db2
Summary: The Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-db2
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%files gb-db2
#{_libdir}/%%{name}/gb.db2.so
%{_libdir}/%{name}/gb.db2.component
%{_libdir}/%{name}/gb.db2.gambas
%{_datadir}/%{name}/info/gb.db2.info
%{_datadir}/%{name}/info/gb.db2.list

#-----------------------------------------------------------------------------

%package gb-db2-form
Summary: The Gambas database2-form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-db2-form
This package contains the Gambas Database2 form components.

%files gb-db2-form
%{_libdir}/%{name}/gb.db2.form.*
%{_datadir}/%{name}/info/gb.db2.form.*
%{_datadir}/%{name}/control/gb.db2.form/

#-----------------------------------------------------------------------------

%package gb-db2-mysql
Summary: The MySQL driver for the Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}

%description gb-db2-mysql
This component allows you to access MySQL databases.

%files gb-db2-mysql
%{_libdir}/%{name}/gb.db2.mysql.*
%{_datadir}/%{name}/info/gb.db2.mysql.*

#-----------------------------------------------------------------------------

%package gb-db2-odbc
Summary: The ODBC driver for the Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}

%description gb-db2-odbc
This component allows you to access ODBC databases.

%files gb-db2-odbc
%{_libdir}/%{name}/gb.db2.odbc.*
%{_datadir}/%{name}/info/gb.db2.odbc.*

#-----------------------------------------------------------------------------

%package gb-db2-postgresql
Summary: The PostgreSQL driver for the Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}

%description gb-db2-postgresql
This component allows you to access PostgreSQL databases.

%files gb-db2-postgresql
%{_libdir}/%{name}/gb.db2.postgresql.*
%{_datadir}/%{name}/info/gb.db2.postgresql.*

#-----------------------------------------------------------------------------

%package gb-db2-sqlite3
Summary: The SQLite 3 driver for the Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}

%description gb-db2-sqlite3
This component allows you to access SQLite 3 databases.

%files gb-db2-sqlite3
%{_libdir}/%{name}/gb.db2.sqlite3.*
%{_datadir}/%{name}/info/gb.db2.sqlite3.*

#-----------------------------------------------------------------------------

%package gb-dbus
Summary: The Gambas dbus component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-dbus
This package contains the Gambas D-bus components.

%files gb-dbus

%{_libdir}/%{name}/gb.dbus.*
%{_datadir}/%{name}/info/gb.dbus.*

#-----------------------------------------------------------------------------

%package gb-desktop
Summary: The Gambas XDG component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-desktop
This component allows you to use desktop-agnostic routines based on
the xdg-utils scripts of the Portland project.

%files gb-desktop

%{_libdir}/%{name}/gb.desktop.*
%{_datadir}/%{name}/info/gb.desktop.*
%{_datadir}/%{name}/control/gb.desktop

#-----------------------------------------------------------------------------

%ifnarch %arm
%package gb-eval-highlight
Summary: The Gambas eval-highlight component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-eval-highlight
This component implements the eval-highlight control.

%files gb-eval-highlight

%{_libdir}/%{name}/gb.eval.highlight.*
%{_datadir}/%{name}/info/gb.eval.highlight.*
%endif

#-----------------------------------------------------------------------------

%package gb-form
Summary: The Gambas dialog form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gui = %{version}

%description gb-form
This component implements the form control.

%files gb-form
%{_libdir}/%{name}/gb.form.component
%{_libdir}/%{name}/gb.form.gambas
%{_datadir}/%{name}/control/gb.form
%{_datadir}/%{name}/info/gb.form.info
%{_datadir}/%{name}/info/gb.form.list

#-----------------------------------------------------------------------------

%package gb-form-editor
Summary: The Gambas dialog form editor component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
%ifnarch %arm
Requires: %{name}-gb-eval-highlight = %{version}
%endif
Requires: %{name}-gb-util = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-form-editor
This component implements the form-editor control.

%files gb-form-editor
%{_libdir}/%{name}/gb.form.editor.component
%{_libdir}/%{name}/gb.form.editor.gambas
%dir %{_datadir}/%{name}/control/gb.form.editor
%{_datadir}/%{name}/control/gb.form.editor/*
%{_datadir}/%{name}/info/gb.form.editor.info
%{_datadir}/%{name}/info/gb.form.editor.list

#-----------------------------------------------------------------------------

%package gb-form-dialog
Summary: The Gambas dialog form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-form-dialog
This component implements the form-dialog control.

%files gb-form-dialog

%{_libdir}/%{name}/gb.form.dialog.component
%{_libdir}/%{name}/gb.form.dialog.gambas
%{_datadir}/%{name}/info/gb.form.dialog.info
%{_datadir}/%{name}/info/gb.form.dialog.list

#-----------------------------------------------------------------------------

%package gb-form-htmlview
Summary: The Gambas htmlview form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-htmlview
This component implements the form-htmlview control.

%files gb-form-htmlview

%{_libdir}/%{name}/gb.form.htmlview.*
%dir %{_datadir}/%{name}/control/gb.form.htmlview/
%{_datadir}/%{name}/control/gb.form.htmlview/htmlview.png
%{_datadir}/%{name}/info/gb.form.htmlview.*

#-----------------------------------------------------------------------------

%package gb-form-mdi
Summary: The Gambas mdi form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}
Requires: %{name}-gb-settings = %{version}

%description gb-form-mdi
This component implements the form-mdi control.

%files gb-form-mdi

%{_libdir}/%{name}/gb.form.mdi.component
%{_libdir}/%{name}/gb.form.mdi.gambas
%{_datadir}/%{name}/control/gb.form.mdi
%{_datadir}/%{name}/info/gb.form.mdi.info
%{_datadir}/%{name}/info/gb.form.mdi.list

#-----------------------------------------------------------------------------

%package gb-form-print
Summary: The Gambas print form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-form-print
This component implements the form-print control.

%files gb-form-print

%{_libdir}/%{name}/gb.form.print.component
%{_libdir}/%{name}/gb.form.print.gambas
%{_datadir}/%{name}/info/gb.form.print.info
%{_datadir}/%{name}/info/gb.form.print.list

#-----------------------------------------------------------------------------

%package gb-form-stock
Summary: The Gambas stock form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-form-stock
This component implements the form-stock control.

%files gb-form-stock

%{_libdir}/%{name}/gb.form.stock.component
%{_libdir}/%{name}/gb.form.stock.gambas
%{_datadir}/%{name}/info/gb.form.stock.info
%{_datadir}/%{name}/info/gb.form.stock.list

#-----------------------------------------------------------------------------

%package gb-form-terminal
Summary: The Gambas terminal form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gui = %{version}

%description gb-form-terminal
This component implements the form-terminal control.

%files gb-form-terminal

%{_libdir}/%{name}/gb.form.terminal.component
%{_libdir}/%{name}/gb.form.terminal.gambas
%{_datadir}/%{name}/info/gb.form.terminal.info
%{_datadir}/%{name}/info/gb.form.terminal.list
%dir %{_datadir}/%{name}/control/gb.form.terminal
%{_datadir}/%{name}/control/gb.form.terminal/terminalview.png

#-----------------------------------------------------------------------------

%package gb-gtk3
Summary: The Gambas GTK+ 3 GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-gtk3-wayland = %{version}
Requires: %{name}-gb-gtk3-x11 = %{version}
Provides: %{name}-gui-package = %{version}-%{release}

%description gb-gtk3
This package contains the Gambas GTK+ 3 GUI components.

%files gb-gtk3

%{_libdir}/%{name}/gb.gtk3.component
%{_libdir}/%{name}/gb.gtk3.so
%{_datadir}/%{name}/info/gb.gtk3.info
%{_datadir}/%{name}/info/gb.gtk3.list

#-----------------------------------------------------------------------------

%package gb-gtk3-opengl
Summary: The Gambas gtk3-opengl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-gtk3 = %{version}

%description gb-gtk3-opengl
This package contains the Gambas gtk3-opengl components.

%files gb-gtk3-opengl
%{_libdir}/%{name}/gb.gtk3.opengl.*
%{_datadir}/%{name}/info/gb.gtk3.opengl.*

#-----------------------------------------------------------------------------

%package gb-gtk3-wayland
Summary: The Gambas gtk3-wayland component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-gtk3 = %{version}

%description gb-gtk3-wayland
This package contains the Gambas gtk3-wayland components.

%files gb-gtk3-wayland
%{_libdir}/%{name}/gb.gtk3.wayland.*
%{_datadir}/%{name}/info/gb.gtk3.wayland.*

#-----------------------------------------------------------------------------

%package gb-gtk3-webview
Summary: The Gambas gtk3-webview component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-gtk3 = %{version}
Provides: %{name}-webview = %{version}

%description gb-gtk3-webview
This package contains the Gambas gtk3-webview components.

%files gb-gtk3-webview
%{_libdir}/%{name}/gb.gtk3.webview.*
%{_datadir}/%{name}/info/gb.gtk3.webview.*

#-----------------------------------------------------------------------------

%package gb-gtk3-x11
Summary: The Gambas gtk3-x11 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-gtk3 = %{version}

%description gb-gtk3-x11
This package contains the Gambas gtk3-x11 components.

%files gb-gtk3-x11
%{_libdir}/%{name}/gb.gtk3.x11.*
%{_datadir}/%{name}/info/gb.gtk3.x11.*

#-----------------------------------------------------------------------------

%package gb-gmp
Summary: The Gambas gmp component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gmp
This component implements an interface to the Gnu Multiple Precision
Arithmetic Library.

%files gb-gmp

%{_libdir}/%{name}/gb.gmp.*
%{_datadir}/%{name}/info/gb.gmp.*

#-----------------------------------------------------------------------------

%package gb-gsl
Summary: The Gambas interface to the GNU Scientific Library
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gsl
This component provides an interface to the GNU Scientific Library.

%files gb-gsl
%{_libdir}/%{name}/gb.gsl.*
%{_datadir}/%{name}/info/gb.gsl.*

#-----------------------------------------------------------------------------

%package gui
Summary: The Gambas GUI package
Group: Development/Basic
Requires: %{name}-gui-package = %{version}

%description gui
This is a virtual package requiring one of the GUI packages.

%files gui
# virtual package

#-----------------------------------------------------------------------------

%package gb-hash
Summary: The Gambas hash component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-hash
This package contains the Gambas Hash components.
Hash is a new static class with methods that implement The Md5,
Sha1, Sha256 and Sha512 hash functions.

%files gb-hash
%{_libdir}/%{name}/gb.hash.component
%{_libdir}/%{name}/gb.hash.so
%{_datadir}/%{name}/info/gb.hash.info
%{_datadir}/%{name}/info/gb.hash.list

#-----------------------------------------------------------------------------

%package gb-highlight
Summary: The Gambas highlight component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-highlight
This package contains the Gambas ighlight components.

%files gb-highlight
%{_libdir}/%{name}/gb.highlight.component
%{_libdir}/%{name}/gb.highlight.gambas
%{_datadir}/%{name}/info/gb.highlight.info
%{_datadir}/%{name}/info/gb.highlight.list

#-----------------------------------------------------------------------------

%package gb-jit
Summary: The Gambas JIT component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-jit
This component provides the jit compiler for gambas.

%files gb-jit

%{_libdir}/%{name}/gb.jit.so
%{_libdir}/%{name}/gb.jit.component
%{_libdir}/%{name}/gb.jit.gambas
%{_datadir}/%{name}/info/gb.jit.info
%{_datadir}/%{name}/info/gb.jit.list

#-----------------------------------------------------------------------------

%package gb-image
Summary: The Gambas image manipulation component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image
This component allows you to manipulates various effects to images.

%files gb-image
%{_libdir}/%{name}/gb.image.component
%{_libdir}/%{name}/gb.image.so
%{_datadir}/%{name}/info/gb.image.info
%{_datadir}/%{name}/info/gb.image.list

#-----------------------------------------------------------------------------

%package gb-image-effect
Summary: The Gambas image effect component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-image-effect
This component allows you to apply various effects to images.

%files gb-image-effect

%{_libdir}/%{name}/gb.image.effect.*
%{_datadir}/%{name}/info/gb.image.effect.*

#-----------------------------------------------------------------------------

%package gb-image-imlib
Summary: The Gambas image imlib component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-image-imlib
This component allows you to manipulate images with imlibs.

%files gb-image-imlib

%{_libdir}/%{name}/gb.image.imlib.*
%{_datadir}/%{name}/info/gb.image.imlib.*

#-----------------------------------------------------------------------------

%package gb-image-io
Summary: The Gambas image io component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-image-io
This component allows you to perform images input output operations.

%files gb-image-io

%{_libdir}/%{name}/gb.image.io.*
%{_datadir}/%{name}/info/gb.image.io.*

#-----------------------------------------------------------------------------

%package gb-inotify
Summary: The Gambas inotify component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-inotify
This component enables you to catch filesystem events using Linux' inotify API.

%files gb-inotify

%{_libdir}/%{name}/gb.inotify.*
%{_datadir}/%{name}/info/gb.inotify.*

#-----------------------------------------------------------------------------

%package gb-map
Summary: The Gambas map component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}
Requires: %{name}-gb-net-curl = %{version}

%description gb-map
This component implements an online map viewer
based on Google Maps, OpenStreetMap, etc.

%files gb-map
%{_libdir}/%{name}/gb.map*
%{_datadir}/%{name}/info/gb.map*
%dir %{_datadir}/%{name}/control/gb.map
%{_datadir}/%{name}/control/gb.map/mapview.png

#-----------------------------------------------------------------------------

%package gb-markdown
Summary: The Gambas markdown component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-markdown
This component allows to convert the Gambas Markdown Syntax to HTML.

%files gb-markdown

%{_libdir}/%{name}/gb.markdown*
%{_datadir}/%{name}/info/gb.markdown*

#-----------------------------------------------------------------------------

%package gb-media
Summary: The Gambas media component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-media
This package contains the Gambas media component.

%files gb-media

%{_libdir}/%{name}/gb.media.so
%{_libdir}/%{name}/gb.media.component
%{_datadir}/%{name}/info/gb.media.info
%{_datadir}/%{name}/info/gb.media.list

#-----------------------------------------------------------------------------

%package gb-media-form
Summary: The Gambas media form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-media = %{version}
Requires: %{name}-gui = %{version}

%description gb-media-form
This package contains the Gambas media form component.

%files gb-media-form

%{_libdir}/%{name}/gb.media.form.*
%{_datadir}/%{name}/info/gb.media.form.*
%dir %{_datadir}/%{name}/control/gb.media.form
%{_datadir}/%{name}/control/gb.media.form/mediaview.png

#-----------------------------------------------------------------------------

%package gb-mime
Summary: The Gambas mime component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-mime
This component allows to parse a string and convert it to a MIME message and
the contrary.

It is based on the gmime library.

%files gb-mime
%{_libdir}/%{name}/gb.mime.*
%{_datadir}/%{name}/info/gb.mime.*

#-----------------------------------------------------------------------------

%package gb-memcached
Summary: The Gambas memcached component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}

%description gb-memcached
This components aims at providing a fully usable interface to memcached,
a free and open source, high-performance, distributed memory object
caching system.

%files gb-memcached
%{_libdir}/%{name}/gb.memcached*
%{_datadir}/%{name}/info/gb.memcached*

#-----------------------------------------------------------------------------

%package gb-mongodb
Summary: The Gambas MongoDB database access component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-mongodb
This component allows you to access MongoDB databases.

%files gb-mongodb
%{_libdir}/%{name}/gb.mongodb*
%{_datadir}/%{name}/info/gb.mongodb*

#-----------------------------------------------------------------------------

%package gb-mysql
Summary: The Gambas mysql component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-mysql
This package contains the Gambas MySQL components.

%files gb-mysql
%{_libdir}/%{name}/gb.mysql.*
%{_datadir}/%{name}/info/gb.mysql.*

#-----------------------------------------------------------------------------

%package gb-ncurses
Summary: The Gambas ncurses component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-ncurses
This component allows you to use ncurses with gambas.

%files gb-ncurses
%{_libdir}/%{name}/gb.ncurses.so
%{_libdir}/%{name}/gb.ncurses.component
%{_datadir}/%{name}/info/gb.ncurses.info
%{_datadir}/%{name}/info/gb.ncurses.list

#-----------------------------------------------------------------------------

%package gb-net
Summary: The Gambas networking component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-net
This component allows you to use TCP/IP and UDP sockets, and to access
any serial ports.

%files gb-net
%{_libdir}/%{name}/gb.net.so
%{_libdir}/%{name}/gb.net.component
%{_datadir}/%{name}/info/gb.net.info
%{_datadir}/%{name}/info/gb.net.list
%dir %{_datadir}/%{name}/control/gb.net/
%{_datadir}/%{name}/control/gb.net/*.png

#-----------------------------------------------------------------------------

%package gb-net-curl
Summary: The Gambas advanced networking component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}

%description gb-net-curl
This component allows your programs to easily become FTP or HTTP clients.

%files gb-net-curl
%{_libdir}/%{name}/gb.net.curl.so
%{_libdir}/%{name}/gb.net.curl.gambas
%{_libdir}/%{name}/gb.net.curl.component
%{_datadir}/%{name}/info/gb.net.curl.info
%{_datadir}/%{name}/info/gb.net.curl.list
%dir %{_datadir}/%{name}/control/gb.net.curl
%{_datadir}/%{name}/control/gb.net.curl/*.png

#-----------------------------------------------------------------------------

%package gb-net-smtp
Summary: The Gambas SMTP component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}

%description gb-net-smtp
This component allows you to send emails using the SMTP protocol.

%files gb-net-smtp
%{_libdir}/%{name}/gb.net.smtp.*
%{_datadir}/%{name}/info/gb.net.smtp.*
%dir %{_datadir}/%{name}/control/gb.net.smtp
%{_datadir}/%{name}/control/gb.net.smtp/smtpclient.png

#-----------------------------------------------------------------------------

%package gb-net-pop3
Summary: The Gambas POP3 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}
Requires: %{name}-gb-mime = %{version}

%description gb-net-pop3
This component allows you to send emails using the POP3 protocol.

%files gb-net-pop3

%{_libdir}/%{name}/gb.net.pop3.*
%{_datadir}/%{name}/info/gb.net.pop3.*
%dir %{_datadir}/%{name}/control/gb.net.pop3
%{_datadir}/%{name}/control/gb.net.pop3/pop3client.png

#-----------------------------------------------------------------------------

%package gb-opengl
Summary: The Gambas OpenGL component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-opengl
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl
%{_libdir}/%{name}/gb.opengl.component
%{_libdir}/%{name}/gb.opengl.so
%{_datadir}/%{name}/info/gb.opengl.info
%{_datadir}/%{name}/info/gb.opengl.list

#-----------------------------------------------------------------------------

%package gb-opengl-glsl
Summary: The Gambas opengl-glsl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-opengl-glsl
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl-glsl

%{_libdir}/%{name}/gb.opengl.glsl.*
%{_datadir}/%{name}/info/gb.opengl.glsl.*

#-----------------------------------------------------------------------------

%package gb-opengl-glu
Summary: The Gambas opengl-glu component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-opengl-glu
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl-glu
%{_libdir}/%{name}/gb.opengl.glu.*
%{_datadir}/%{name}/info/gb.opengl.glu.*

#-----------------------------------------------------------------------------

%package gb-opengl-sge
Summary: The Gambas opengl-sge component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-opengl-sge
This component is a simple OpenGL game engine based on the MD2 model format.

%files gb-opengl-sge
%{_libdir}/%{name}/gb.opengl.sge.*
%{_datadir}/%{name}/info/gb.opengl.sge.*

#-----------------------------------------------------------------------------

%package gb-openssl
Summary: The Gambas openssl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-openssl
This component allows you to use cryptographic functions wrapping libcrypto
from the OpenSSL project.

%files gb-openssl
%{_libdir}/%{name}/gb.openssl.*
%{_datadir}/%{name}/info/gb.openssl.*

#-----------------------------------------------------------------------------

%package gb-option
Summary: The Gambas command-line option component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-option
This component allows you to interpret command-line options.

%files gb-option
%{_libdir}/%{name}/gb.option.*
%{_datadir}/%{name}/info/gb.option.*

#-----------------------------------------------------------------------------

%package gb-pcre
Summary: The Gambas PCRE component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-pcre
This component allows you to use Perl compatible regular expressions
within Gambas code.

%files gb-pcre
%{_libdir}/%{name}/gb.pcre.*
%{_datadir}/%{name}/info/gb.pcre.*

#-----------------------------------------------------------------------------

%package gb-pdf
Summary: The Gambas PDF component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-pdf
This component allows you to manipulate pdf files with Gambas code.

%files gb-pdf
%{_libdir}/%{name}/gb.pdf.*
%{_datadir}/%{name}/info/gb.pdf.*

#-----------------------------------------------------------------------------

%package gb-poppler
Summary: The Gambas Poppler component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-poppler
This component allows you to manipulate pdf files with Gambas code.

%files gb-poppler
%{_libdir}/%{name}/gb.poppler.*
%{_datadir}/%{name}/info/gb.poppler.*

#-----------------------------------------------------------------------------
### Qt5 ###

%package gb-qt5
Summary: The Gambas Qt5 GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-qt5-wayland = %{version}
Requires: %{name}-gb-qt5-x11 = %{version}
Provides: %{name}-gui-package = %{version}-%{release}

Recommends:	qttranslations5

%description gb-qt5
This package includes the Gambas QT5 GUI component.

%files gb-qt5
%{_libdir}/%{name}/gb.qt5.component
%{_libdir}/%{name}/gb.qt5.so
%{_datadir}/%{name}/info/gb.qt5.info
%{_datadir}/%{name}/info/gb.qt5.list

#-----------------------------------------------------------------------------

%package gb-qt5-ext
Summary: The Gambas qt5-ext component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}

%description gb-qt5-ext
This package contains the Gambas qt5-ext components.

%files gb-qt5-ext
%{_libdir}/%{name}/gb.qt5.ext.*
%{_datadir}/%{name}/info/gb.qt5.ext.*

#-----------------------------------------------------------------------------

%package gb-qt5-opengl
Summary: The Gambas qt5-opengl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-qt5-opengl
This package contains the Gambas qt5-opengl components.

%files gb-qt5-opengl
%{_libdir}/%{name}/gb.qt5.opengl.*
%{_datadir}/%{name}/info/gb.qt5.opengl.*

#-----------------------------------------------------------------------------

%package gb-qt5-wayland
Summary: The Gambas qt5-wayland component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}

%description gb-qt5-wayland
This package contains the Gambas qt5-wayland components.

%files gb-qt5-wayland
%{_libdir}/%{name}/gb.qt5.wayland.*
%{_datadir}/%{name}/info/gb.qt5.wayland.*

#-----------------------------------------------------------------------------
%if %{with qt5webkit}

%package gb-qt5-webkit
Summary: The Gambas qt5-webkit component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}

%description gb-qt5-webkit
This package contains the Gambas qt5-webkit components.

%files gb-qt5-webkit
%{_libdir}/%{name}/gb.qt5.webkit.*
%{_datadir}/%{name}/info/gb.qt5.webkit.*
%{_datadir}/%{name}/control/gb.qt5.webkit/

%endif
#-----------------------------------------------------------------------------

%package gb-qt5-webview
Summary: The Gambas qt5-webview component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}
Provides: %{name}-webview = %{version}

%description gb-qt5-webview
This package contains the Gambas qt5-webview components.

%files gb-qt5-webview
%{_libdir}/%{name}/gb.qt5.webview.*
%{_datadir}/%{name}/info/gb.qt5.webview.*

#-----------------------------------------------------------------------------

%package gb-qt5-x11
Summary: The Gambas qt5-x11 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}

%description gb-qt5-x11
This package contains the Gambas qt5-x11 components.

%files gb-qt5-x11
%{_libdir}/%{name}/gb.qt5.x11.*
%{_datadir}/%{name}/info/gb.qt5.x11.*

#-----------------------------------------------------------------------------
### Qt6 ###

%package gb-qt6
Summary: The Gambas Qt6 GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-qt6-wayland = %{version}
Requires: %{name}-gb-qt6-x11 = %{version}
Provides: %{name}-gui-package = %{version}-%{release}

Recommends:	qt6-qttranslations

%description gb-qt6
This package includes the Gambas Qt6 GUI component.

%files gb-qt6
%{_libdir}/%{name}/gb.qt6.component
%{_libdir}/%{name}/gb.qt6.so
%{_datadir}/%{name}/info/gb.qt6.info
%{_datadir}/%{name}/info/gb.qt6.list

#-----------------------------------------------------------------------------

%package gb-qt6-ext
Summary: The Gambas qt6-ext component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}

%description gb-qt6-ext
This package contains the Gambas qt6-ext components.

%files gb-qt6-ext
%{_libdir}/%{name}/gb.qt6.ext.*
%{_datadir}/%{name}/info/gb.qt6.ext.*

#-----------------------------------------------------------------------------

%package gb-qt6-opengl
Summary: The Gambas qt6-opengl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-qt6-opengl
This package contains the Gambas qt6-opengl components.

%files gb-qt6-opengl
%{_libdir}/%{name}/gb.qt6.opengl.*
%{_datadir}/%{name}/info/gb.qt6.opengl.*

#-----------------------------------------------------------------------------

%package gb-qt6-wayland
Summary: The Gambas qt6-wayland component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}

%description gb-qt6-wayland
This package contains the Gambas qt6-wayland components.

%files gb-qt6-wayland
%{_libdir}/%{name}/gb.qt6.wayland.*
%{_datadir}/%{name}/info/gb.qt6.wayland.*

#-----------------------------------------------------------------------------
%if %{with qt6webview}

%package gb-qt6-webview
Summary: The Gambas qt6-webview component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}
Provides: %{name}-webview = %{version}

%description gb-qt6-webview
This package contains the Gambas qt6-webview components.

%files gb-qt6-webview
%{_libdir}/%{name}/gb.qt6.webview.*
%{_datadir}/%{name}/info/gb.qt6.webview.*

%endif
#-----------------------------------------------------------------------------

%package gb-qt6-x11
Summary: The Gambas qt6-x11 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}

%description gb-qt6-x11
This package contains the Gambas qt6-x11 components.

%files gb-qt6-x11
%{_libdir}/%{name}/gb.qt6.x11.*
%{_datadir}/%{name}/info/gb.qt6.x11.*

#-----------------------------------------------------------------------------

%package gb-report
Summary: The Gambas report component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-report
This package contains the Gambas Report components.

%files gb-report
%{_libdir}/%{name}/gb.report.*
%{_datadir}/%{name}/info/gb.report.*
%{_datadir}/%{name}/control/gb.report

#-----------------------------------------------------------------------------

%package gb-report2
Summary: The Gambas report component (version 2)
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-report2
This package contains the Gambas Report (version 2) components.

%files gb-report2
%{_libdir}/%{name}/gb.report2.*
%{_datadir}/%{name}/info/gb.report2.*
%dir %{_datadir}/%{name}/control/gb.report2
%{_datadir}/%{name}/control/gb.report2/*

#-----------------------------------------------------------------------------

%package gb-scanner
Summary: The Gambas Scanner component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-scanner
The Gambas scanner management library is a frontend of the ScanImage program
provided by the sane toolkit.
It allows to easily manage scanner devices in Gambas code.

%files gb-scanner
%{_libdir}/%{name}/gb.scanner.gambas
%{_libdir}/%{name}/gb.scanner.component
%{_datadir}/%{name}/info/gb.scanner.info
%{_datadir}/%{name}/info/gb.scanner.list

#-----------------------------------------------------------------------------

%package gb-sdl
Summary: The Gambas SDL component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-image-io = %{version}
Requires: fonts-ttf-dejavu

%description gb-sdl
This component use the sound, image and TTF fonts parts of the SDL
library. It allows you to simultaneously play many sounds and music
stored in a file. If OpenGL drivers are installed it uses them to
accelerate 2D and 3D drawing.

%files gb-sdl
%{_libdir}/%{name}/gb.sdl.so
%{_libdir}/%{name}/gb.sdl.component
%{_datadir}/%{name}/info/gb.sdl.info
%{_datadir}/%{name}/info/gb.sdl.list

#-----------------------------------------------------------------------------

%package gb-sdl-sound
Summary: The Gambas SDL sound component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-sdl-sound
This component allows you to play sounds in Gambas. This component
manages up to 32 sound tracks that can play sounds from memory, and
one music track that can play music from a file. Everything is mixed
in real time.

%files gb-sdl-sound

%{_libdir}/%{name}/gb.sdl.sound.*
%{_datadir}/%{name}/info/gb.sdl.sound.*

#-----------------------------------------------------------------------------

%package gb-sdl2
Summary: The Gambas SDL2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: fonts-ttf-dejavu

%description gb-sdl2
This component use the sound, image and TTF fonts parts of the SDL2
library. It allows you to simultaneously play many sounds and music
stored in a file. If OpenGL drivers are installed it uses them to
accelerate 2D and 3D drawing.

%files gb-sdl2
%{_libdir}/%{name}/gb.sdl2.so
%{_libdir}/%{name}/gb.sdl2.component
%{_datadir}/%{name}/info/gb.sdl2.info
%{_datadir}/%{name}/info/gb.sdl2.list

#-----------------------------------------------------------------------------

%package gb-sdl2-audio
Summary: The Gambas SDL2 audio component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-sdl2-audio
This component allows you to play sounds in Gambas. This component
manages up to 32 sound tracks that can play sounds from memory, and
one music track that can play music from a file. Everything is mixed
in real timeu sing SDL2.

%files gb-sdl2-audio

%{_libdir}/%{name}/gb.sdl2.audio.so
%{_libdir}/%{name}/gb.sdl2.audio.component
%{_datadir}/%{name}/info/gb.sdl2.audio.info
%{_datadir}/%{name}/info/gb.sdl2.audio.list

#-----------------------------------------------------------------------------

%package gb-settings
Summary: The Gambas settings component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-settings
This components allows you to deal with configuration files.

%files gb-settings
%{_libdir}/%{name}/gb.settings.*
%{_datadir}/%{name}/info/gb.settings.*

#-----------------------------------------------------------------------------

%package gb-signal
Summary: The Gambas signal component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-signal
This package contains the Gambas Signal components.

%files gb-signal

%{_libdir}/%{name}/gb.signal.*
%{_datadir}/%{name}/info/gb.signal.*

#-----------------------------------------------------------------------------

%package gb-term
Summary: The Gambas Term component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-term
This package contains the Gambas Term components.

%files gb-term

%{_libdir}/%{name}/gb.term.*
%{_datadir}/%{name}/info/gb.term.*
%{_datadir}/%{name}/control/gb.term.*

#-----------------------------------------------------------------------------

%package gb-util
Summary: The Gambas Util component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-util
This component provides many useful utility methods or classes.

%files gb-util
%{_libdir}/%{name}/gb.util.gambas
%{_libdir}/%{name}/gb.util.component
%{_datadir}/%{name}/info/gb.util.info
%{_datadir}/%{name}/info/gb.util.list

#-----------------------------------------------------------------------------

%package gb-util-web
Summary: The Gambas Util Web component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-util-web
This component provides many utilities useful for web applications.

%files gb-util-web
%{_libdir}/%{name}/gb.util.web.gambas
%{_libdir}/%{name}/gb.util.web.component
%{_datadir}/%{name}/info/gb.util.web.info
%{_datadir}/%{name}/info/gb.util.web.list
%dir %{_datadir}/%{name}/control/gb.util.web
%{_datadir}/%{name}/control/gb.util.web/*

#-----------------------------------------------------------------------------

%package gb-v4l
Summary: The Gambas Video4Linux component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-v4l
This components allows you to use the Video4Linux interface with
Gambas.

%files gb-v4l

%{_libdir}/%{name}/gb.v4l.*
%{_datadir}/%{name}/info/gb.v4l.*

#-----------------------------------------------------------------------------

%package gb-vb
Summary: The Gambas Visual Basic(tm) compatibility component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-vb
This component aims at including some functions that imitate the
behaviour of Visual Basic(TM) functions. Use it only if you want to
port some VB projects.

%files gb-vb

%{_libdir}/%{name}/gb.vb.*
%{_datadir}/%{name}/info/gb.vb.*

#-----------------------------------------------------------------------------

%package gb-web
Summary: The Gambas CGI web component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-web
This components allows you to make CGI web applications using Gambas,
with an ASP-like interface.

%files gb-web
%{_libdir}/%{name}/gb.web.component
%{_libdir}/%{name}/gb.web.gambas
%{_datadir}/%{name}/info/gb.web.info
%{_datadir}/%{name}/info/gb.web.list

#-----------------------------------------------------------------------------

%package gb-web-feed
Summary: The Gambas CGI web-feed component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml = %{version}
Requires: %{name}-gb-util = %{version}

%description gb-web-feed
This components allows you to make CGI web-feed applications using Gambas,
with an ASP-like interface.

%files gb-web-feed

%{_libdir}/%{name}/gb.web.feed.component
%{_libdir}/%{name}/gb.web.feed.gambas
%{_datadir}/%{name}/info/gb.web.feed.info
%{_datadir}/%{name}/info/gb.web.feed.list

#-----------------------------------------------------------------------------

%package gb-web-form
Summary: The Gambas CGI web-form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-web = %{version}
Requires: %{name}-gb-util-web = %{version}
Requires: %{name}-gb-util = %{version}

%description gb-web-form
This components allows you to make CGI web-form applications using Gambas,
with an ASP-like interface.

%files gb-web-form
%{_libdir}/%{name}/gb.web.form.component
%{_libdir}/%{name}/gb.web.form.gambas
%{_datadir}/%{name}/info/gb.web.form.info
%{_datadir}/%{name}/info/gb.web.form.list
%{_datadir}/%{name}/control/gb.web.form/

#-----------------------------------------------------------------------------

%package gb-web-gui
Summary: The Gambas CGI web-gui component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-util = %{version}
Requires: %{name}-gb-web = %{version}
Requires: %{name}-gb-util-web = %{version}
Requires: %{name}-gb-signal = %{version}

%description gb-web-gui
This components allows you to make CGI web-gui applications using Gambas,
with an ASP-like interface.

%files gb-web-gui
%{_libdir}/%{name}/gb.web.gui.component
%{_libdir}/%{name}/gb.web.gui.gambas
%{_datadir}/%{name}/info/gb.web.gui.info
%{_datadir}/%{name}/info/gb.web.gui.list
%{_datadir}/%{name}/control/gb.web.gui/

#-----------------------------------------------------------------------------

%package gb-libxml
Summary: The Gambas libxml component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-libxml
This component allows you to use libxml.

%files gb-libxml
%{_libdir}/%{name}/gb.libxml.so
%{_libdir}/%{name}/gb.libxml.component
%{_datadir}/%{name}/info/gb.libxml.info
%{_datadir}/%{name}/info/gb.libxml.list

#-----------------------------------------------------------------------------

%package gb-logging
Summary: The Gambas logging component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-logging
This component implements a flexible logging system for Gambas applications.
The formatting of messages is based on the RFC5454 document
which describes the standard "syslog" format.

%files gb-logging

%{_libdir}/%{name}/gb.logging.*
%{_datadir}/%{name}/info/gb.logging.info
%{_datadir}/%{name}/info/gb.logging.list

#-----------------------------------------------------------------------------

%package gb-xml
Summary: The Gambas xml component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-xml
This component allows you to use xml.

%files gb-xml
%{_libdir}/%{name}/gb.xml.so
%{_libdir}/%{name}/gb.xml.component
%{_libdir}/%{name}/gb.xml.gambas
%{_datadir}/%{name}/info/gb.xml.info
%{_datadir}/%{name}/info/gb.xml.list

#-----------------------------------------------------------------------------

%package gb-xml-html
Summary: The Gambas xml html component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml

%description gb-xml-html
This component allows you to use xml html.

%files gb-xml-html

%{_libdir}/%{name}/gb.xml.html.so
%{_libdir}/%{name}/gb.xml.html.component
%{_datadir}/%{name}/info/gb.xml.html.info
%{_datadir}/%{name}/info/gb.xml.html.list

#-----------------------------------------------------------------------------

%package gb-xml-rpc
Summary: The Gambas xml-rpc component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml

%description gb-xml-rpc
This component allows you to use xml-rpc.

%files gb-xml-rpc

%{_libdir}/%{name}/gb.xml.rpc.gambas
%{_libdir}/%{name}/gb.xml.rpc.component
%{_datadir}/%{name}/info/gb.xml.rpc.info
%{_datadir}/%{name}/info/gb.xml.rpc.list

#-----------------------------------------------------------------------------

%package gb-xml-xslt
Summary: The Gambas xml-xslt component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml = %{version}

%description gb-xml-xslt
This component allows you to use xml-xslt.

%files gb-xml-xslt

%{_libdir}/%{name}/gb.xml.xslt*
%{_datadir}/%{name}/info/gb.xml.xslt*

#-----------------------------------------------------------------------------

%package gb-data
Summary: The Gambas data component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-data
The Gambas data component.

%files gb-data

%{_libdir}/%{name}/gb.data*
%{_datadir}/%{name}/info/gb.data*

#-----------------------------------------------------------------------------

%package gb-complex
Summary: The Gambas complex component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-complex
This component allows you to work with complex numbers.

%files gb-complex

%{_libdir}/%{name}/gb.complex*
%{_datadir}/%{name}/info/gb.complex*

#-----------------------------------------------------------------------------

%package gb-args
Summary: The Gambas args component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-args
This component allows you to analyze command line arguments.
It should replace the unmaintained gb.option component.

%files gb-args

%{_libdir}/%{name}/gb.args*
%{_datadir}/%{name}/info/gb.args*

#-----------------------------------------------------------------------------

%package gb-httpd
Summary: The Gambas httpd component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-httpd
The Gambas httpd component.

%files gb-httpd

%{_libdir}/%{name}/gb.httpd*
%{_datadir}/%{name}/info/gb.httpd*

#-----------------------------------------------------------------------------

%package -n task-gambas3
Summary: Metapackage for Gambas3
Group: Development/Basic
Recommends: gambas3-examples
Requires: gambas3-devel
Requires: gambas3-gb-args
Requires: gambas3-gb-cairo
Requires: gambas3-gb-chart
Requires: gambas3-gb-clipper
Requires: gambas3-gb-clipper2
Requires: gambas3-gb-complex
Requires: gambas3-gb-compress
Requires: gambas3-gb-crypt
Requires: gambas3-gb-data
Requires: gambas3-gb-db
Requires: gambas3-gb-db-form
Requires: gambas3-gb-db2
Requires: gambas3-gb-db2-form
Requires: gambas3-gb-db-mysql
Requires: gambas3-gb-db-odbc
Requires: gambas3-gb-db-postgresql
%if %{with sqlite2}
Requires: gambas3-gb-db-sqlite2
%else
Obsoletes: gambas3-gb-db-sqlite2 < %{version}-%{release}
%endif
Requires: gambas3-gb-db-sqlite3
Requires: gambas3-gb-dbus
Requires: gambas3-gb-desktop
%ifnarch %arm
Requires: gambas3-gb-eval-highlight
%endif
Requires: gambas3-gb-form
Requires: gambas3-gb-form-dialog
Requires: gambas3-gb-form-editor
Requires: gambas3-gb-form-htmlview
Requires: gambas3-gb-form-mdi
Requires: gambas3-gb-form-print
Requires: gambas3-gb-form-stock
Requires: gambas3-gb-form-terminal
Requires: gambas3-gb-gmp
Requires: gambas3-gb-gsl
Requires: gambas3-gb-gtk3
Requires: gambas3-gb-gtk3-opengl
Requires: gambas3-gb-gtk3-webview
Requires: gambas3-gb-gtk3-x11
Requires: gambas3-gb-hash
Requires: gambas3-gb-highlight
Requires: gambas3-gb-httpd
Requires: gambas3-gb-image
Requires: gambas3-gb-image-effect
Requires: gambas3-gb-image-imlib
Requires: gambas3-gb-image-io
Requires: gambas3-gb-inotify
Requires: gambas3-gb-jit
Requires: gambas3-gb-libxml
Requires: gambas3-gb-logging
Requires: gambas3-gb-map
Requires: gambas3-gb-markdown
Requires: gambas3-gb-media
Requires: gambas3-gb-media-form
Requires: gambas3-gb-memcached
Requires: gambas3-gb-mongodb
Requires: gambas3-gb-mime
Requires: gambas3-gb-mysql
Requires: gambas3-gb-ncurses
Requires: gambas3-gb-net
Requires: gambas3-gb-net-curl
Requires: gambas3-gb-net-pop3
Requires: gambas3-gb-net-smtp
Requires: gambas3-gb-opengl
Requires: gambas3-gb-opengl-glsl
Requires: gambas3-gb-opengl-glu
Requires: gambas3-gb-opengl-sge
Requires: gambas3-gb-openssl
Requires: gambas3-gb-option
Requires: gambas3-gb-pcre
Requires: gambas3-gb-pdf
Requires: gambas3-gb-poppler
Requires: gambas3-gb-qt6
Requires: gambas3-gb-qt6-ext
Requires: gambas3-gb-qt6-opengl
Requires: gambas3-gb-qt6-wayland
%if %{with qt6webview}
Requires: gambas3-gb-qt6-webview
%endif
Requires: gambas3-gb-qt6-x11
Requires: gambas3-gb-report
Requires: gambas3-gb-report2
Requires: gambas3-gb-scanner
Requires: gambas3-gb-sdl
Requires: gambas3-gb-sdl2
Requires: gambas3-gb-sdl2-audio
Requires: gambas3-gb-sdl-sound
Requires: gambas3-gb-settings
Requires: gambas3-gb-signal
Requires: gambas3-gb-term
Requires: gambas3-gb-util
Requires: gambas3-gb-util-web
Requires: gambas3-gb-v4l
Requires: gambas3-gb-vb
Requires: gambas3-gb-web-feed
Requires: gambas3-gb-web
Requires: gambas3-gb-web-form
Requires: gambas3-gb-web-gui
Requires: gambas3-gb-xml
Requires: gambas3-gb-xml-html
Requires: gambas3-gb-xml-rpc
Requires: gambas3-gb-xml-xslt
Requires: gambas3-ide
Requires: gambas3-runtime
Requires: gambas3-script

%description -n task-gambas3
This package is a meta-package, meaning that its purpose is to contain
full list of dependencies for Gambas3.

%files -n task-gambas3

#-----------------------------------------------------------------------------

%prep
%autosetup -p1 -n gambas-%{version}

# remove not-workable examples
rm -rf app/examples/Games/Invaders
rm -rf app/examples/Multimedia/MediaPlayer

for i in $(find . -name "acinclude.m4");
do
  sed -i \
    -e 's|$AM_CFLAGS -O.|$AM_CFLAGS|g' \
    -e 's|$AM_CXXFLAGS -O.|$AM_CXXFLAGS|g' ${i}
done

# build plugin modules without version info
for i in $(find . -name "Makefile.am");
do
  sed -i -e '/LDFLAGS/s/-module/-module -avoid-version/g' $i
done

%build
%ifarch %{ix86} %{arm32}
export AM_CFLAGS="%{build_cflags} -Wno-incompatible-pointer-types"
export CFLAGS="$AM_CFLAGS"
%else
export AM_CFLAGS="%{build_cflags}"
export CFLAGS="$AM_CFLAGS"
%endif
export AM_CXXFLAGS="%{build_cxxflags}"
export CXXFLAGS="$AM_CXXFLAGS"

%set_build_flags
autoreconf -fi
for i in $(find -name configure)
do
  pushd $(dirname $i)
    %before_configure
  popd
done

%configure --disable-qt4 \
%if %{without qt5webkit}
           --disable-qt5webkit \
%endif
%if %{without qt6webview}
           --disable-qt6webview \
%endif
           --disable-gtk
%make_build

%install
%make_install

# According to upstream:
# Note that gb.la, gb.so, gb.so.0 and gb.so.0.0.0 do not need to be
# distributed. They are temporary files used for generating gb.info and gb.list
# only.
rm -f %{buildroot}%{_libdir}/%{name}/gb.so*

# No need for file in appdata and metainfo
rm -rf %{buildroot}%{_datadir}/appdata/gambas3.appdata.xml

# Resize icons
for png in 128x128 64x64 32x32 22x22 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png app/desktop/%{name}.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

# Install svg icon
install -D -m 644 app/desktop/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Install .desktop file
install -D -m 644 app/desktop/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install mime type
install -D -p -m 644 main/mime/application-x-gambas3.xml %{buildroot}%{_datadir}/mime/packages/gambas3.xml
install -D -p -m 644 main/mime/application-x-gambas3.png %{buildroot}%{_iconsdir}/hicolor/256x256/mimetypes/application-x-gambas3.png
install -D -p -m 644 app/mime/application-x-gambasscript.xml %{buildroot}%{_datadir}/mime/packages/gambasscript.xml
install -D -p -m 644 app/mime/application-x-gambasscript.png %{buildroot}%{_iconsdir}/hicolor/256x256/mimetypes/application-x-gambasscript.png

# Install examples
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp -a app/examples/ %{buildroot}%{_datadir}/%{name}/


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 3.20.4-2.mga10
+ Revision: 2258271
- add patch to fix build with poppler 25.07.0
+ wally <wally>
- rebuild for poppler 25.07.0

* Thu May 22 2025 daviddavid <daviddavid> 3.20.4-1.mga10
+ Revision: 2185615
- new version: 3.20.4

* Sat Apr 26 2025 daviddavid <daviddavid> 3.20.3-1.mga10
+ Revision: 2179052
- new version: 3.20.3

* Fri Apr 11 2025 wally <wally> 3.20.2-3.mga10
+ Revision: 2174739
- rebuild for poppler 25.04.0

* Sun Mar 16 2025 wally <wally> 3.20.2-2.mga10
+ Revision: 2164797
- rebuild for libxml2 2.13.6

* Sat Mar 08 2025 daviddavid <daviddavid> 3.20.2-1.mga10
+ Revision: 2161998
- new version: 3.20.2

* Mon Feb 03 2025 daviddavid <daviddavid> 3.20.1-1.mga10
+ Revision: 2144964
- new version: 3.20.1
+ wally <wally>
- rebuild for poppler 25.01.0

* Thu Jan 23 2025 daviddavid <daviddavid> 3.20.0-1.mga10
+ Revision: 2140755
- new version: 3.20.0
- add new gb.qt6 component
- add new gb.mongodb component
- add new gb.clipper2 component
- add new gb.db2(-form,-mysql,-odbc,-postgresql,-sqlite3) components

* Tue Nov 26 2024 daviddavid <daviddavid> 3.19.5-1.mga10
+ Revision: 2119005
- new version: 3.19.5

* Fri Sep 06 2024 daviddavid <daviddavid> 3.19.4-2.mga10
+ Revision: 2093348
- exclude arm support (does not build anymore)

* Fri Sep 06 2024 daviddavid <daviddavid> 3.19.4-1.mga10
+ Revision: 2093339
- new version: 3.19.4

* Sat Jul 06 2024 daviddavid <daviddavid> 3.19.3-1.mga10
+ Revision: 2080147
- new version: 3.19.3
- remove merged upstream patch

* Sun Jun 09 2024 wally <wally> 3.19.2-3.mga10
+ Revision: 2072126
- let build system handle C++ standard
- add upstream patch to fix build with poppler >= 24.05.0
- build using C++20
- rebuild for poppler 24.06.0

* Tue Jun 04 2024 daviddavid <daviddavid> 3.19.2-2.mga10
+ Revision: 2069617
- new version: 3.19.2
- new version: 3.19.1

* Wed Feb 14 2024 daviddavid <daviddavid> 3.19.0-1.mga10
+ Revision: 2041290
- new version: 3.19.0
- add new subpkg gb-highlight

* Tue Sep 19 2023 daviddavid <daviddavid> 3.18.4-1.mga10
+ Revision: 1988009
- new version: 3.18.4

* Tue Sep 05 2023 wally <wally> 3.18.3-2.mga10
+ Revision: 1984510
- rebuild for poppler 23.08.0

* Fri Sep 01 2023 daviddavid <daviddavid> 3.18.3-1.mga10
+ Revision: 1982975
- new version: 3.18.3

* Fri Jun 16 2023 daviddavid <daviddavid> 3.18.2-2.mga9
+ Revision: 1962133
- drop sqlite2 support (mga#32018)

* Tue Apr 18 2023 daviddavid <daviddavid> 3.18.2-1.mga9
+ Revision: 1953568
- new version: 3.18.2

* Wed Mar 22 2023 daviddavid <daviddavid> 3.18.1-2.mga9
+ Revision: 1949992
- disable QtWebkit5 support (mga#29326)

* Tue Mar 21 2023 daviddavid <daviddavid> 3.18.1-1.mga9
+ Revision: 1949978
- new version: 3.18.1

* Sat Feb 25 2023 daviddavid <daviddavid> 3.18.0-3.mga9
+ Revision: 1945283
- add patch to make it build with poppler 23.x

* Sat Jan 14 2023 daviddavid <daviddavid> 3.18.0-2.mga9
+ Revision: 1932814
- re-enable all available gambas3 components on armv7 arch

* Sat Jan 14 2023 daviddavid <daviddavid> 3.18.0-1.mga9
+ Revision: 1932799
- new version: 3.18.0
- add new gb.hash component

* Thu Dec 29 2022 daviddavid <daviddavid> 3.17.3-19.mga9
+ Revision: 1927649
- rebuild for new gsl 2.7.1

* Sat Dec 03 2022 wally <wally> 3.17.3-17.mga9
+ Revision: 1916197
- rebuild for poppler 22.12.0

* Wed Nov 09 2022 papoteur <papoteur> 3.17.3-16.mga9
+ Revision: 1904886
- Don't requires gb-web gb-form for Arm7
  nor gb-test. don't require gb-gtk3-webkit, it doesn't exist

* Tue Nov 08 2022 papoteur <papoteur> 3.17.3-15.mga9
+ Revision: 1904619
- Rebuild for new libs

* Tue Oct 25 2022 papoteur <papoteur> 3.17.3-14.mga9
+ Revision: 1899211
- task-gambas3 is not Arch independant

* Mon Oct 24 2022 ghibo <ghibo> 3.17.3-13.mga9
+ Revision: 1899130
- Rebuild against newer libpoppler

* Sun Oct 09 2022 neoclust <neoclust> 3.17.3-12.mga9
+ Revision: 1895747
- gambas3-gb-web is not available on ARM

* Sun Oct 09 2022 neoclust <neoclust> 3.17.3-11.mga9
+ Revision: 1895746
- Re enable some packages on ARM

* Fri Oct 07 2022 wally <wally> 3.17.3-10.mga9
+ Revision: 1895333
- enable gb-gtk3-webview again (build with webkit2gtk-4.1 instead of webkit2gtk-5.0)
- increase build verbosity
+ neoclust <neoclust>
- Remove more packages for ARM

* Fri Oct 07 2022 neoclust <neoclust> 3.17.3-8.mga9
+ Revision: 1895269
- gambas3-gb-chart is not available on ARM
- More arm fixes

* Fri Oct 07 2022 neoclust <neoclust> 3.17.3-6.mga9
+ Revision: 1895259
- Fix file list for arm arch

* Fri Oct 07 2022 neoclust <neoclust> 3.17.3-5.mga9
+ Revision: 1895258
- Disable gamba3-gb-openal and gambas3-gb-gtk3-webview
- Move webkit2gtk-4.0 build dep into webkit2gtk-5.0
  Remove BR into pkgconfig(alure) does not exist anymore
- Rebuild because of missing rpms on armv7hl
+ tv <tv>
- Rebuild for llvm-15

* Sat Sep 03 2022 wally <wally> 3.17.3-3.mga9
+ Revision: 1883694
- rebuild for poppler 22.09.0

* Sat Aug 06 2022 wally <wally> 3.17.3-2.mga9
+ Revision: 1875580
- build using gmime-3.0

* Sat Jul 23 2022 wally <wally> 3.17.3-1.mga9
+ Revision: 1870364
- new version 3.17.3
- drop gtk2 leftovers

* Sat Jul 02 2022 papoteur <papoteur> 3.17.2-4.mga9
+ Revision: 1867090
- Silent: add the patch for the previous commit
- fix for poppler 22-05
  build without qt4 not gtk2, removing option
+ wally <wally>
- rebuild for poppler 22.05.0
- disable gtk2 support

* Fri May 13 2022 wally <wally> 3.17.2-3.mga9
+ Revision: 1857941
- disable Qt4 support

* Tue May 03 2022 wally <wally> 3.17.2-2.mga9
+ Revision: 1855618
- drop pixmaps icon
- use same app icon for all sizes
- install mime type for gambas scripts
- install mime type for gambas3 executable
- split out gtk3 components
- make ide to require webview component pkg
- update component pkg requires
- BR Qt5WebEngineWidgets for gb.qt5.webview
- update ide requires
- merge gb-gui into runtime pkg and create gui virtual package
- merge gb-test into runtime pkg
- merge gb-geom into runtime pkg
- make gb-gui to require actual gui component
- build gb.gtk3.webview
- add missing gb-pcre requires to runtime pkg
- add missing gb-form-htmlview requires to ide pkg
- build plugin modules without version info

* Sun May 01 2022 wally <wally> 3.17.2-1.mga9
+ Revision: 1855440
- new version 3.17.2
- rebuild for poppler 22.04.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 3.16.2-10.mga9
+ Revision: 1762530
- rebuild for poppler 21.12.0

* Sun Nov 07 2021 wally <wally> 3.16.2-9.mga9
+ Revision: 1754530
- rebuild for poppler 21.11.0

* Thu Oct 21 2021 tv <tv> 3.16.2-8.mga9
+ Revision: 1752505
- Rebuild for llvm 13.0

* Sat Oct 02 2021 wally <wally> 3.16.2-7.mga9
+ Revision: 1747838
- rebuild for openssl 3.0.0

* Wed Sep 08 2021 wally <wally> 3.16.2-6.mga9
+ Revision: 1744507
- rebuild for poppler 21.09.0

* Thu Aug 12 2021 wally <wally> 3.16.2-5.mga9
+ Revision: 1741202
- rebuild for poppler 21.08.0

* Fri Aug 06 2021 matteo <matteo> 3.16.2-4.mga9
+ Revision: 1739815
- revert last commit (runtime do not require gui/geom)
- gb-script requires gb-pcre

* Fri Aug 06 2021 matteo <matteo> 3.16.2-3.mga9
+ Revision: 1739781
- runtime requires gb-gui and gb-geom

* Thu Aug 05 2021 luigiwalser <luigiwalser> 3.16.2-2.mga9
+ Revision: 1739638
- rebuild for libffi

* Fri Jul 30 2021 matteo <matteo> 3.16.2-1.mga9
+ Revision: 1738197
- new version 3.16.2

* Sat Jun 19 2021 wally <wally> 3.16.1-2.mga9
+ Revision: 1731296
- rebuild for poppler 21.06.1

* Wed May 26 2021 daviddavid <daviddavid> 3.16.1-1.mga9
+ Revision: 1728288
- new version: 3.16.1

* Fri Apr 16 2021 daviddavid <daviddavid> 3.16.0-1.mga9
+ Revision: 1716009
- new version: 3.16.0
- remove unneeded llvm build dependency

* Sat Mar 20 2021 wally <wally> 3.15.2-7.mga9
+ Revision: 1705885
- rebuild for poppler 21.03.0

* Mon Mar 01 2021 tv <tv> 3.15.2-6.mga9
+ Revision: 1695179
- rebuild for llvm-12

* Wed Dec 16 2020 umeabot <umeabot> 3.15.2-5.mga8
+ Revision: 1658490
- Rebuild for new Qt5

* Sun Dec 06 2020 wally <wally> 3.15.2-4.mga8
+ Revision: 1653298
- rebuild for poppler 20.12.0

* Wed Dec 02 2020 luigiwalser <luigiwalser> 3.15.2-3.mga8
+ Revision: 1651351
- rebuild for glew

* Thu Nov 26 2020 tv <tv> 3.15.2-2.mga8
+ Revision: 1649431
- rebuild for llvm-11

* Thu Sep 24 2020 daviddavid <daviddavid> 3.15.2-1.mga8
+ Revision: 1629656
- new version: 3.15.2

* Thu Aug 06 2020 wally <wally> 3.15.1-2.mga8
+ Revision: 1611565
- rebuild for poppler 20.08.0

* Mon Aug 03 2020 daviddavid <daviddavid> 3.15.1-1.mga8
+ Revision: 1610680
- new version: 3.15.1

* Tue Jul 07 2020 daviddavid <daviddavid> 3.15.0-1.mga8
+ Revision: 1602817
- new version: 3.15.0
- add new faster gb.web.gui component that replaces gb.web.form
- add new gb.poppler component that replaces gb.pdf
- remove duplicate gambas3 appdata file (from /usr/share/appdata)
- remove merged upstream patches

* Tue Jun 16 2020 ovitters <ovitters> 3.14.3-8.mga8
+ Revision: 1593532
- rebuild for new ffi

* Sat May 02 2020 wally <wally> 3.14.3-7.mga8
+ Revision: 1577937
- rebuild for poppler 0.88.0

* Sat Apr 04 2020 wally <wally> 3.14.3-6.mga8
+ Revision: 1564398
- really rebuild with poppler 0.87.0

* Sat Apr 04 2020 wally <wally> 3.14.3-5.mga8
+ Revision: 1564373
- rebuild for poppler 0.87.0

* Sun Mar 22 2020 tv <tv> 3.14.3-4.mga8
+ Revision: 1558781
- rebuild with llvm 10
+ wally <wally>
- add patch to fix segfault with poppler > 0.83

* Sat Mar 07 2020 wally <wally> 3.14.3-3.mga8
+ Revision: 1554622
- rebuild for poppler 0.86.1

* Wed Feb 19 2020 umeabot <umeabot> 3.14.3-2.mga8
+ Revision: 1544321
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 daviddavid <daviddavid> 3.14.3-1.mga8
+ Revision: 1482871
- new version: 3.14.3

* Thu Jan 23 2020 wally <wally> 3.14.2-3.mga8
+ Revision: 1482550
- rebuild for poppler 0.84.0
- replace deprecated %%configure2_5x
- replace deprecated %%setup_compile_flags

* Tue Dec 24 2019 wally <wally> 3.14.2-2.mga8
+ Revision: 1469918
- rebuild for poppler 0.83.0
+ daviddavid <daviddavid>
- split out in his own sub-pkg the gb-media-form component

* Sat Nov 23 2019 daviddavid <daviddavid> 3.14.2-1.mga8
+ Revision: 1462289
- new version: 3.14.2
- remove merged upstream patch

* Mon Nov 04 2019 daviddavid <daviddavid> 3.14.1-2.mga8
+ Revision: 1457495
- add upstream patch to compile with PostgreSQL 12

* Fri Nov 01 2019 daviddavid <daviddavid> 3.14.1-1.mga8
+ Revision: 1457242
- new version: 3.14.1
+ wally <wally>
- rebuild for new poppler 0.82.0

* Thu Oct 10 2019 wally <wally> 3.14.0-2.mga8
+ Revision: 1451105
- rebuild for poppler 0.81.0

* Tue Sep 24 2019 daviddavid <daviddavid> 3.14.0-1.mga8
+ Revision: 1445500
- new version: 3.14.0

* Thu Sep 19 2019 wally <wally> 3.13.90-0.git20190715.4.mga8
+ Revision: 1443902
- rebuild for poppler 0.80.0

* Tue Sep 17 2019 tv <tv> 3.13.90-0.git20190715.3.mga8
+ Revision: 1443032
- rebuild for new llvm

* Tue Aug 27 2019 daviddavid <daviddavid> 3.13.90-0.git20190715.2.mga8
+ Revision: 1433748
- rebuild for new gsl 2.6

* Mon Jul 15 2019 wally <wally> 3.13.90-0.git20190715.1.mga8
+ Revision: 1421783
- new git snapshot 20190715
- add gambas3-gb-form-print

* Thu Jun 20 2019 alexl <alexl> 3.13.90-0.git20190618.1.mga8
+ Revision: 1400361
- git snapshot 20190618 of developing 3.13.90 version
- delete deprecated and upstreamed patches
- install desktop file from sources
- add recommends on qttranslations5
- build task-gambas3 package
- remove not-workable examples: Invaders, MediaPlayer

* Mon May 13 2019 daviddavid <daviddavid> 3.13.0-2.mga7
+ Revision: 1397551
- add some missing required packages on gambas3-ide sub-package (mga#24804)
- add back examples sub-package (mga#19211#c15)

* Fri Apr 12 2019 daviddavid <daviddavid> 3.13.0-1.mga7
+ Revision: 1388995
- new version: 3.13.0

* Sat Mar 30 2019 umeabot <umeabot> 3.12.2-4.mga7
+ Revision: 1381789
- Qt5 Rebuild

* Mon Feb 18 2019 wally <wally> 3.12.2-3.mga7
+ Revision: 1368158
- rebuild for new poppler 0.74.0

* Sat Jan 26 2019 wally <wally> 3.12.2-2.mga7
+ Revision: 1361105
- add patch to fix build with new poppler 0.73.0

* Sat Jan 19 2019 daviddavid <daviddavid> 3.12.2-1.mga7
+ Revision: 1358048
- new version: 3.12.2

* Wed Jan 09 2019 daviddavid <daviddavid> 3.12.1-1.mga7
+ Revision: 1353736
- new version: 3.12.1

* Sat Dec 08 2018 wally <wally> 3.11.4-6.mga7
+ Revision: 1339016
- add patch to build with poppler 0.72.0

* Sat Nov 17 2018 wally <wally> 3.11.4-5.mga7
+ Revision: 1330456
- add patch and rebuild for new poppler 0.71.0

* Thu Nov 01 2018 tv <tv> 3.11.4-4.mga7
+ Revision: 1327071
- rebuild with latest poppler

* Thu Sep 27 2018 tv <tv> 3.11.4-3.mga7
+ Revision: 1308211
- rebuild for llvm 7.0

* Sun Sep 23 2018 umeabot <umeabot> 3.11.4-2.mga7
+ Revision: 1297816
- Mageia 7 Mass Rebuild

* Wed Aug 15 2018 daviddavid <daviddavid> 3.11.4-1.mga7
+ Revision: 1251681
- new version: 3.11.4
- remove merged upstream patch

* Tue Jul 24 2018 daviddavid <daviddavid> 3.11.3-1.mga7
+ Revision: 1245040
- new version: 3.11.3
- update Source URL
- remove merged upstream patches

* Mon Apr 16 2018 kekepower <kekepower> 3.10.0-10.mga7
+ Revision: 1219120
- Rebuild for new Poppler

* Wed Jan 10 2018 daviddavid <daviddavid> 3.10.0-8.mga7
+ Revision: 1192127
- add patch to fix build with sdl2_mixer >= 2.0.2
+ ns80 <ns80>
- rebuild for new poppler

* Sat Dec 23 2017 daviddavid <daviddavid> 3.10.0-7.mga7
+ Revision: 1184192
- rebuild for new gsl and mariadb

* Sun Dec 03 2017 daviddavid <daviddavid> 3.10.0-6.mga7
+ Revision: 1180792
- rebuild for new glew 2.1.0

* Thu Oct 12 2017 tv <tv> 3.10.0-5.mga7
+ Revision: 1171322
- rebuild for new poppler

* Thu Sep 21 2017 tv <tv> 3.10.0-4.mga7
+ Revision: 1156935
- rebuild with llvm-4.0 in core/release

* Thu Sep 21 2017 daviddavid <daviddavid> 3.10.0-3.mga7
+ Revision: 1156790
- rebuild for new poppler 0.59.0
- add an upstream patch to fix build with poppler 0.58 and higher
+ tv <tv>
- rebuild for new poppler

* Wed Aug 09 2017 daviddavid <daviddavid> 3.10.0-1.mga7
+ Revision: 1139170
- new version: 3.10.0
- add gb-term component
- add gb-web-feed component

* Fri Mar 10 2017 akien <akien> 3.9.2-3.mga6
+ Revision: 1091604
- Rebuild for v4l-utils 1.12.3

* Sat Jan 07 2017 tmb <tmb> 3.9.2-2.mga6
+ Revision: 1080480
- rebuild with new llvm

* Tue Jan 03 2017 daviddavid <daviddavid> 3.9.2-1.mga6
+ Revision: 1079971
- new version: 3.9.2

* Mon Jan 02 2017 luigiwalser <luigiwalser> 3.9.1-3.mga6
+ Revision: 1079507
- rebuild for poppler

* Mon Nov 28 2016 luigiwalser <luigiwalser> 3.9.1-2.mga6
+ Revision: 1070622
- rebuild for poppler

* Sun Sep 11 2016 daviddavid <daviddavid> 3.9.1-1.mga6
+ Revision: 1051500
- new version: 3.9.1
- add gb-form-terminal component
- add gb-qt5-ext component
- add gb-web-form component

* Fri Aug 26 2016 daviddavid <daviddavid> 3.8.4-9.mga6
+ Revision: 1049009
- fix files list between gambas3-gb-util and gambas3-gb-util-web
- add a Conflicts with gambas3-gb-util < 3.8.4-9

* Thu Aug 18 2016 daviddavid <daviddavid> 3.8.4-8.mga6
+ Revision: 1046915
- remove empty gambas3-examples sub-package (mga#19211#c6)
  * removed upstream as all examples files are now downloadable
- enable SDL2 and SDL2-audio support (mga#19211#c7)
- enable OpenAL support (need alure-devel to build)
- enable SQLite2 support

* Thu Aug 18 2016 daviddavid <daviddavid> 3.8.4-7.mga6
+ Revision: 1046900
- add some missing required packages on gambas3-ide sub-package (mga#19211)
- improve description of gambas3-ide sub-package (mga#19211#c4)
- enable Qt5 support and make it the default installed (mga#19212)
- switch BRs to pkgconfig()

* Sat Aug 13 2016 luigiwalser <luigiwalser> 3.8.4-6.mga6
+ Revision: 1046178
- test rebuild for poppler

* Wed May 25 2016 luigiwalser <luigiwalser> 3.8.4-5.mga6
+ Revision: 1018538
- rebuild for poppler

* Mon May 09 2016 luigiwalser <luigiwalser> 3.8.4-4.mga6
+ Revision: 1011749
- rebuild for poppler

* Fri Feb 12 2016 luigiwalser <luigiwalser> 3.8.4-3.mga6
+ Revision: 959174
- add patch to fix CVE-2013-7447

* Thu Feb 04 2016 daviddavid <daviddavid> 3.8.4-2.mga6
+ Revision: 934981
- drop also gbh3 for arm architectures

* Wed Feb 03 2016 daviddavid <daviddavid> 3.8.4-1.mga6
+ Revision: 933997
- new version: 3.8.4
- add new GTK+ 3 subpackage and BR libgtk+3.0-devel
- add more icons
- add French translation in desktop file

* Sun Jan 03 2016 luigiwalser <luigiwalser> 3.8.1-3.mga6
+ Revision: 919001
- rebuild for gsl

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3.8.1-2.mga6
+ Revision: 917802
- rebuild for poppler

* Sat Sep 19 2015 matteo <matteo> 3.8.1-1.mga6
+ Revision: 881291
- drop gbh3 for ix86 architectures
- drop gbh3* (partially revert previous modification)
- add missing/unpackaged files
- new version 3.8.1

* Mon Aug 24 2015 sander85 <sander85> 3.6.2-7.mga6
+ Revision: 869107
- Rebuild for glew 1.13.0

* Sat Aug 01 2015 shlomif <shlomif> 3.6.2-6.mga6
+ Revision: 860316
- Fix for MGA#16087 (thanks to ysoft). Missing dependency causing non-start.

* Sat Jul 25 2015 tv <tv> 3.6.2-5.mga6
+ Revision: 857573
- rebuild for new poppler

* Tue Jan 06 2015 alexl <alexl> 3.6.2-4.mga6
+ Revision: 808821
- added Russian GenericName in desktop file

* Wed Nov 26 2014 alexl <alexl> 3.6.2-3.mga5
+ Revision: 799473
- key "Encoding" in group "Desktop Entry" is deprecated (fixed)
- added Russian Comment in desktop file

* Tue Nov 25 2014 cjw <cjw> 3.6.2-2.mga5
+ Revision: 798975
- rebuild against postgresql9.4

* Sat Nov 22 2014 matteo <matteo> 3.6.2-1.mga5
+ Revision: 798356
- new version 3.6.2

* Wed Oct 15 2014 umeabot <umeabot> 3.5.4-5.mga5
+ Revision: 750063
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3.5.4-4.mga5
+ Revision: 725055
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.5.4-3.mga5
+ Revision: 679402
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Sep 01 2014 luigiwalser <luigiwalser> 3.5.4-2.mga5
+ Revision: 670266
- rebuild for glew

* Fri Jun 27 2014 matteo <matteo> 3.5.4-1.mga5
+ Revision: 640212
- new version 3.5.4

* Sun May 25 2014 tv <tv> 3.5.3-4.mga5
+ Revision: 626477
- adjust file list (gb-jit being empty package???)
- rebuild for new llvm
+ fwang <fwang>
- add patch
- add patch
- update patch from fedora
- rebuild for new llvm

* Thu May 01 2014 luigiwalser <luigiwalser> 3.5.3-2.mga5
+ Revision: 619134
- rebuild for poppler

* Sat Apr 26 2014 matteo <matteo> 3.5.3-1.mga5
+ Revision: 618147
- new version 3.5.3

* Fri Mar 07 2014 fwang <fwang> 3.5.2-3.mga5
+ Revision: 600778
- rebuild for llvm 3.4

* Sat Feb 08 2014 fwang <fwang> 3.5.2-2.mga5
+ Revision: 586077
- rebuild for new poppler

* Thu Feb 06 2014 fwang <fwang> 3.5.2-1.mga5
+ Revision: 584414
- 3.5.2

* Fri Nov 22 2013 matteo <matteo> 3.5.1-1.mga4
+ Revision: 552384
- new bugfix release (3.5.1)

* Fri Nov 22 2013 matteo <matteo> 3.5.0-2.mga4
+ Revision: 552335
- fixed: missing requirements from gambas3-ide, i.e. gb-clipper and gb-geom (bug mga#11733)

* Sun Oct 27 2013 matteo <matteo> 3.5.0-1.mga4
+ Revision: 547215
- * new version 3.5.0
- drops statically defined optimization flags from the automake files (acinclude.m4)
- adds gb-clipper component
- moves geometry classes to the gb-geom (hidden) component
- adds gb-gmp component
- adds gb-mime component
- adds gb-net-pop3 component
- adds gb-opengl-sge component
- adds gb-openssl component
- adds gb-logging component

* Sat Oct 19 2013 umeabot <umeabot> 3.4.2-3.mga4
+ Revision: 532706
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 fwang <fwang> 3.4.2-2.mga4
+ Revision: 469300
- more fixes from upstream
- apply correct patch
- add more fix from upstream to build with llvm3.3
- rebuild for new llvm

* Wed Jul 31 2013 fwang <fwang> 3.4.2-1.mga4
+ Revision: 461356
- new version 3.4.2
- rebuild for new poppler

* Wed Jul 24 2013 sander85 <sander85> 3.4.1-4.mga4
+ Revision: 457706
- Rebuild for new glew

* Sat Jul 20 2013 fwang <fwang> 3.4.1-3.mga4
+ Revision: 456508
- rebuild for new poppler

* Mon Jun 03 2013 fwang <fwang> 3.4.1-2.mga4
+ Revision: 435550
- rebuild for new libpng

* Fri May 24 2013 fwang <fwang> 3.4.1-1.mga4
+ Revision: 425822
- new version 3.4.1

* Wed Mar 13 2013 fwang <fwang> 3.4.0-3.mga3
+ Revision: 402428
- use system font file

* Sat Feb 23 2013 matteo <matteo> 3.4.0-2.mga3
+ Revision: 400150
- added missing requirement for gambas3-ide (fix bug mga#9105)

* Sun Feb 10 2013 matteo <matteo> 3.4.0-1.mga3
+ Revision: 397788
- new version

* Fri Jan 11 2013 umeabot <umeabot> 3.3.4-6.mga3
+ Revision: 351030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 fwang <fwang> 3.3.4-5.mga3
+ Revision: 336399
- rebuild for new poppler

* Sun Dec 30 2012 matteo <matteo> 3.3.4-4.mga3
+ Revision: 336360
- fix build with automake 1.13
- improved llvm fix

* Tue Dec 25 2012 matteo <matteo> 3.3.4-3.mga3
+ Revision: 334972
- fixed llvm related compilation issue

* Sat Dec 01 2012 fwang <fwang> 3.3.4-2.mga3
+ Revision: 323773
- rebuild for new pcre

* Mon Nov 19 2012 matteo <matteo> 3.3.4-1.mga3
+ Revision: 319671
- new version

* Thu Nov 15 2012 fwang <fwang> 3.3.3-3.mga3
+ Revision: 318175
- update file list
- drop sqlite2 component

* Mon Nov 12 2012 fwang <fwang> 3.3.3-2.mga3
+ Revision: 317121
- rebuild for new poppler
- update rpm group

* Wed Oct 10 2012 matteo <matteo> 3.3.3-1.mga3
+ Revision: 304521
- new version

* Wed Oct 10 2012 tv <tv> 3.3.2-2.mga3
+ Revision: 304198
- rebuild with new poppler

* Tue Oct 02 2012 matteo <matteo> 3.3.2-1.mga3
+ Revision: 301993
- new version

* Fri Sep 28 2012 matteo <matteo> 3.3.1-1.mga3
+ Revision: 299116
- new version

* Mon Sep 24 2012 matteo <matteo> 3.3.0-1.mga3
+ Revision: 297031
- new version

* Tue Sep 11 2012 fwang <fwang> 3.2.1-6.mga3
+ Revision: 292147
- rebuild for new poppler

* Mon Aug 20 2012 sander85 <sander85> 3.2.1-5.mga3
+ Revision: 282509
- Rebuild for new glew

* Mon Aug 06 2012 luigiwalser <luigiwalser> 3.2.1-4.mga3
+ Revision: 278979
- rebuild for libffi

* Fri Aug 03 2012 matteo <matteo> 3.2.1-3.mga3
+ Revision: 278044
- added gb-jit component (now available thanks to llvm-3.1)

* Thu Aug 02 2012 fwang <fwang> 3.2.1-2.mga3
+ Revision: 277811
- rebuild for new glew

* Sat Jul 21 2012 matteo <matteo> 3.2.1-1.mga3
+ Revision: 273209
- added missing files (info, list) into gb-xml-rpc subpackage
- new version

* Sun Jul 01 2012 matteo <matteo> 3.2.0-1.mga3
+ Revision: 265776
- pre-release of gambas3-3.2.0
- removed wrongly added patch

* Wed Jun 13 2012 fwang <fwang> 3.2-0.svn.4819.3.mga3
+ Revision: 260236
- rebuild for new poppler

* Wed Jun 13 2012 matteo <matteo> 3.2-0.svn.4819.2.mga3
+ Revision: 260153
- added missing br preventing gnome keyring support

* Sun Jun 10 2012 matteo <matteo> 3.2-0.svn.4819.1.mga3
+ Revision: 259217
- new version

* Sun Apr 22 2012 matteo <matteo> 3.1.1-1.mga2
+ Revision: 232568
- new stable release
  - fixed many bugs afflicting the package builder
  - added gsl component
  - fixed more than 150 bugs
  - added patch fixing DrawingArea bug

* Sun Jan 08 2012 fwang <fwang> 3.0.0-5.mga2
+ Revision: 193128
- fix typo on packag ename

* Sun Jan 08 2012 fwang <fwang> 3.0.0-4.mga2
+ Revision: 193119
- add more req as suggested upstream

* Fri Jan 06 2012 matteo <matteo> 3.0.0-3.mga2
+ Revision: 191982
+ rebuild (emptylog)

* Tue Jan 03 2012 matteo <matteo> 3.0.0-2.mga2
+ Revision: 190193
- spec file reviewed
- fixed gambas3-ide requirements

* Sat Dec 31 2011 matteo <matteo> 3.0.0-1.mga2
+ Revision: 189303
- version upgrade

* Mon Dec 26 2011 fwang <fwang> 2.99.7-4.mga2
+ Revision: 187691
- fix req

* Sun Dec 25 2011 matteo <matteo> 2.99.7-3.mga2
+ Revision: 187486
- bump release
- fixed gambas3-ide buildrequirements

* Sat Dec 24 2011 matteo <matteo> 2.99.7-2.mga2
+ Revision: 187268
- description fixed

* Sat Dec 24 2011 matteo <matteo> 2.99.7-1.mga2
+ Revision: 187259
- version upgrade

* Sun Dec 18 2011 fwang <fwang> 2.99.6-4.mga2
+ Revision: 183641
- br qtwebkit

* Thu Dec 08 2011 fwang <fwang> 2.99.6-3.mga2
+ Revision: 178870
- rebuild for new odbc

* Thu Nov 10 2011 matteo <matteo> 2.99.6-2.mga2
+ Revision: 166235
- increased release value
- fixed wrong requires:
- gambas3-ide requires gambas3-examples
- gambas3-examples suggests gambas3-ide
+ fwang <fwang>
- build examples as noarch package

* Tue Nov 01 2011 matteo <matteo> 2.99.6-1.mga2
+ Revision: 160986
- version upgrade

* Fri Oct 28 2011 fwang <fwang> 2.99.5-4.mga2
+ Revision: 158960
- rebuild for new poppler

* Tue Oct 25 2011 matteo <matteo> 2.99.5-3.mga2
+ Revision: 157916
- spec file reviewed

* Tue Oct 11 2011 fwang <fwang> 2.99.5-2.mga2
+ Revision: 153842
- dont know why we drop .so files

* Tue Oct 11 2011 matteo <matteo> 2.99.5-1.mga2
+ Revision: 153762
- fixed description
- upgraded to rc5

* Mon Oct 03 2011 fwang <fwang> 2.99.4-3.mga2
+ Revision: 151171
- rebuild for new glew
+ matteo <matteo>
- spec file cleaned (rpmlint warns)

* Tue Sep 27 2011 ovitters <ovitters> 2.99.4-2.mga2
+ Revision: 149388
- rebuild for new poppler

* Sun Sep 25 2011 matteo <matteo> 2.99.4-1.mga2
+ Revision: 147664
- spec fixed
- sources updated

* Wed Sep 21 2011 fwang <fwang> 2.99.3-3.mga2
+ Revision: 146255
- drop .la files

* Mon Sep 12 2011 fwang <fwang> 2.99.3-2.mga2
+ Revision: 142649
- rebuild for new libpng

* Wed Sep 07 2011 matteo <matteo> 2.99.3-1.mga2
+ Revision: 140697
- added libxtst-devel, libxml2-devel and libxslt-devel as buildrequires
- added xdg-utils as buildrequire
- added desktop-file-utiles as buildrequirement
- fixed some paths using not standard macros
- upgraded sources
- added gambas3.desktop file to sources
- fixed typo into package version
- fixed package version
- imported package gambas3

